# DocumentFlowAppearanceConfiguration class

Configuration of the general appearance.

## Constructors

DocumentFlowAppearanceConfiguration({StatusBarMode statusBarMode = StatusBarMode.LIGHT, NavigationBarMode navigationBarMode = NavigationBarMode.LIGHT, ScanbotColor? topBarBackgroundColor, ScanbotColor? bottomBarBackgroundColor, OrientationLockMode orientationLockMode = OrientationLockMode.NONE})
DocumentFlowAppearanceConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

bottomBarBackgroundColor ↔ ScanbotColor
  The background color of the bottom bar. Default is "?sbColorPrimary"
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
navigationBarMode ↔ NavigationBarMode
  Determines the visual mode used for the navigation bar icons. Android only. Default is LIGHT
  getter/setter pair
orientationLockMode ↔ OrientationLockMode
  Which mode to use when orientation should be locked to landscape or portrait. Default is NONE
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
statusBarMode ↔ StatusBarMode
  Determines the visual mode used for the status bar icons. Default is LIGHT
  getter/setter pair
topBarBackgroundColor ↔ ScanbotColor
  The background color of the top bar. Only applicable when the visual mode is specified as 'SOLID', otherwise ignored. Default is "?sbColorPrimary"
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited